DCMTK: TrcTracksStatistic Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
TrcTracksStatistic Class Reference

Class representing a statistic for Tracks in Track Set. More...

Inheritance diagram for TrcTracksStatistic:

## Public Member Functions
| TrcTracksStatistic ()
| Constructor.
| ~TrcTracksStatistic ()
| Destructor, frees memory.
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read attributes from given item into this class.
virtual OFCondition | write (DcmItem &destination)
| Write attributes from this class into given item.
virtual void | resetRules ()
| Resets rules to their original values.
virtual OFString | getName () const
| Get name of component.
virtual OFCondition | set (const CodeSequenceMacro &typeCode, const CodeSequenceMacro &typeModifierCode, const CodeSequenceMacro &unitsCode, const Float32 *statisticValues, const size_t numValues)
| Set Track statistic.
virtual OFCondition | get (CodeSequenceMacro &typeCode, CodeSequenceMacro &typeModifierCode, CodeSequenceMacro &unitsCode, const Float32 *&statisticValues, unsigned long &numValues)
| Get Track statistic information.
virtual OFCondition | get (CodeSequenceMacro &typeCode, CodeSequenceMacro &typeModifierCode, CodeSequenceMacro &unitsCode)
| Get descriptive information of statistic.
Public Member Functions inherited from TrcStatistic
| TrcStatistic ()
| Constructor.
virtual | ~TrcStatistic ()
| Destructor, frees memory.
virtual void | clearData ()
| Clears all data.
Public Member Functions inherited from IODComponent
| IODComponent (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor.
| IODComponent (IODComponent *parent=NULL)
| Constructor, creates rules and item from scratch.
IODComponent & | operator= (const IODComponent &rhs)
| Assignment operator, copies contained item and rule set from rhs to "this" attribute set.
| IODComponent (const IODComponent &rhs)
| Copy constructor, copies reference to contained item and rule set to "this" attribute set.
virtual | ~IODComponent ()
| Virtual Destructor.
void | clearData ()
| Clear all attributes from the data that are handled by this module.
virtual void | inventMissing ()
| Set missing values by inventing "default values".
OFshared_ptr< IODRules > | getRules ()
| Get rules handled by this module.
virtual void | makeOptional ()
| Make component optional by turning all attributes requirement types of it to type 3.
DcmItem & | getData ()
| Get the data handled by this module.
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules.
virtual int | compare (const IODComponent &rhs) const
| Comparison operator for IOD Components.
virtual bool | getValueCheckOnWrite () const
| Get whether attribute value errors will be handled as errors on writing.
virtual void | setValueCheckOnWrite (const OFBool checkValue)
| Set whether attribute values should be checked on writing, i.e.

## Static Public Member Functions
static OFCondition | create (const CodeSequenceMacro &typeCode, const CodeSequenceMacro &typeModifierCode, const CodeSequenceMacro &unitsCode, const Float32 *statisticValues, const size_t numValues, TrcTracksStatistic *&statistic)
| Create track statistic by providing the required information.
Static Public Member Functions inherited from IODComponent
static OFCondition | read (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName)
| Static helper function that reads attributes from given item into destination item, as determined by the provided rules and component name.
static OFCondition | write (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName, const OFBool checkValue)
| Static helper function that writes attributes from given item into destination item, as determined by the provided rules and component name.

## Additional Inherited Members
Protected Member Functions inherited from TrcStatistic
virtual OFCondition | setCommon (const CodeSequenceMacro &typeCode, const CodeSequenceMacro &typeModifierCode, const CodeSequenceMacro &unitsCode)
| Set descriptive information of statistic.
Protected Attributes inherited from TrcStatistic
CodeSequenceMacro | m_Type
| Single item from Concept Name Code Sequence.
CodeSequenceMacro | m_TypeModifier
| Single item from Modifier Code Sequence.
CodeSequenceMacro | m_Units
| Single item from Unit Code Sequence.
OFVector< Float32 * > | m_Values
| Floating Point Value(s), one for each Track in Track Set (for Track Statistic), or a single value in case of Track Set Statistic.
Protected Attributes inherited from IODComponent
OFshared_ptr< DcmItem > | m_Item
| Shared pointer to the data handled by this class.
OFshared_ptr< IODRules > | m_Rules
| Rules describing the attributes governed by this class.
IODComponent * | m_Parent
| The parent component (may be NULL) of this class.
OFBool | m_CheckValueOnWrite
| Denotes whether attribute values should be checked on writing, i.e.

## Detailed Description

Class representing a statistic for Tracks in Track Set.

Besides describing information like type of statistic, region o interest and units of the statistic values, the statistic defines a single statistic value for each track. Thus the number of statistic values must be identical to the number of tracks in the containing Track Set.

## Member Function Documentation

## ◆ create()

static OFCondition TrcTracksStatistic::create | ( | const CodeSequenceMacro & | typeCode,
|  | const CodeSequenceMacro & | typeModifierCode,
|  | const CodeSequenceMacro & | unitsCode,
|  | const Float32 * | statisticValues,
|  | const size_t | numValues,
|  | TrcTracksStatistic *& | statistic )
| static

Create track statistic by providing the required information.

Parameters

  typeCode | The value for which the statistic is a summary. DICOM prescribes code from CID 7263 "Diffusion Tractography Measurement Types"
  typeModifierCode | The region of interest of the statistic. DICOM prescribes code from CID 7464 "General Region of Interest Measurement Modifiers"
  unitsCode | The physical units of the statistic value. DICOM prescribes code from CID 82 "Measurement Unit".
  statisticValues | The statistic values
  numValues | The number of statistic values in statisticValues, must be equal to number of Tracks in the Track Set that this statistic applies to
  statistic | Returns the resulting TrcTracksStatistic object (NULL in case of any error)

Returns
  EC_Normal if creation was successful, error otherwise

References TrcTracksStatistic().

## ◆ get() [1/2]

virtual OFCondition TrcStatistic::get | ( | CodeSequenceMacro & | typeCode,
|  | CodeSequenceMacro & | typeModifierCode,
|  | CodeSequenceMacro & | unitsCode )
| virtual

Get descriptive information of statistic.

Parameters

  typeCode | Returns type of statistic
  typeModifierCode | Returns region of interest
  unitsCode | Returns physical units of the statistic value

Returns
  EC_Normal if getting was successful, error otherwise.

Reimplemented from TrcStatistic.

## ◆ get() [2/2]

virtual OFCondition TrcTracksStatistic::get | ( | CodeSequenceMacro & | typeCode,
|  | CodeSequenceMacro & | typeModifierCode,
|  | CodeSequenceMacro & | unitsCode,
|  | const Float32 *& | statisticValues,
|  | unsigned long & | numValues )
| virtual

Get Track statistic information.

Parameters

  typeCode | Returns value for which the statistic is a summary.
  typeModifierCode | Returns region of interest of the statistic.
  unitsCode | Returns physical units of the statistic value.
  statisticValues | Returns statistic values
  numValues | Returns number of statistic values in statisticValues, should be equal to number of tracks in containing Track Set

Returns
  EC_Normal if data could be retrieved, error otherwise

References TrcStatistic::get().

## ◆ getName()

virtual OFString TrcTracksStatistic::getName | ( |  | ) | const
| virtual

Get name of component.

Returns
  Name of the module ("TrackStatisticsSequenceItem")

Implements IODComponent.

## ◆ read()

virtual OFCondition TrcTracksStatistic::read | ( | DcmItem & | source,
|  | const OFBool | clearOldData = OFTrue )
| virtual

Read attributes from given item into this class.

Parameters

  source | The source to read from
  clearOldData | If OFTrue, old data is cleared before reading. Otherwise old data is overwritten (or amended)

Returns
  EC_Normal if reading was successful, error otherwise

Reimplemented from TrcStatistic.

## ◆ set()

virtual OFCondition TrcTracksStatistic::set | ( | const CodeSequenceMacro & | typeCode,
|  | const CodeSequenceMacro & | typeModifierCode,
|  | const CodeSequenceMacro & | unitsCode,
|  | const Float32 * | statisticValues,
|  | const size_t | numValues )
| virtual

Set Track statistic.

Parameters

  typeCode | The value for which the statistic is a summary. DICOM prescribes code from CID 7263 "Diffusion Tractography Measurement Types"
  typeModifierCode | The region of interest of the statistic. DICOM prescribes code from CID 7464 "General Region of Interest Measurement Modifiers"
  unitsCode | The physical units of the statistic value. DICOM prescribes code from CID 82 "Measurement Unit".
  statisticValues | The statistic values
  numValues | The number of statistic values in statisticValues, must equal the number of tracks in containing Track Set

Returns
  EC_Normal if setting was successful, error otherwise

## ◆ write()

virtual OFCondition TrcTracksStatistic::write | ( | DcmItem & | destination | ) |
| virtual

Write attributes from this class into given item.

Parameters

  destination | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

Reimplemented from TrcStatistic.

The documentation for this class was generated from the following file:

- dcmtract/include/dcmtk/dcmtract/trcstatistic.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2